<?php
/**
 * Free Business: Customizer
 *
 * @subpackage Free Business
 * @since 1.0
 */

use WPTRT\Customize\Section\Luzuk_Free_Business_Button;

add_action( 'customize_register', function( $manager ) {

	$manager->register_section_type( Luzuk_Free_Business_Button::class );

	$manager->add_section(
		new Luzuk_Free_Business_Button( $manager, 'luzuk_free_business_pro', [
			'title' => __( 'Free Business Pro', 'free-business' ),
			'priority' => 0,
			'button_text' => __( 'Go Pro', 'free-business' ),
			'button_url'  => esc_url( 'https://www.luzuk.com/products/business-wordpress-theme/', 'free-business')
		] )
	);

} );


// Load the JS and CSS.
add_action( 'customize_controls_enqueue_scripts', function() {

	$version = wp_get_theme()->get( 'Version' );

	wp_enqueue_script(
		'free-business-customize-section-button',
		get_theme_file_uri( 'vendor/wptrt/customize-section-button/public/js/customize-controls.js' ),
		[ 'customize-controls' ],
		$version,
		true
	);

	wp_enqueue_style(
		'free-business-customize-section-button',
		get_theme_file_uri( 'vendor/wptrt/customize-section-button/public/css/customize-controls.css' ),
		[ 'customize-controls' ],
 		$version
	);

} );

function luzuk_free_business_customize_register( $wp_customize ) {

	$wp_customize->add_setting('luzuk_free_business_logo_size',array(
		'sanitize_callback'	=> 'luzuk_free_business_sanitize_float'
	));
	$wp_customize->add_control('luzuk_free_business_logo_size',array(
		'type' => 'range',
		'label' => __('Logo Size','free-business'),
		'section' => 'title_tagline'
	));

	$wp_customize->add_setting('luzuk_free_business_logo_padding',array(
		'sanitize_callback'	=> 'esc_html'
	));
	$wp_customize->add_control('luzuk_free_business_logo_padding',array(
		'label' => __('Logo Margin','free-business'),
		'section' => 'title_tagline'
	));

	$wp_customize->add_setting('luzuk_free_business_logo_top_padding',array(
		'default' => '',
		'sanitize_callback'	=> 'luzuk_free_business_sanitize_float'
	));
	$wp_customize->add_control('luzuk_free_business_logo_top_padding',array(
		'type' => 'number',
		'description' => __('Top','free-business'),
		'section' => 'title_tagline',
	));

	$wp_customize->add_setting('luzuk_free_business_logo_bottom_padding',array(
		'default' => '',
		'sanitize_callback'	=> 'luzuk_free_business_sanitize_float'
	));
	$wp_customize->add_control('luzuk_free_business_logo_bottom_padding',array(
		'type' => 'number',
		'description' => __('Bottom','free-business'),
		'section' => 'title_tagline',
	));

	$wp_customize->add_setting('luzuk_free_business_logo_left_padding',array(
		'default' => '',
		'sanitize_callback'	=> 'luzuk_free_business_sanitize_float'
	));
	$wp_customize->add_control('luzuk_free_business_logo_left_padding',array(
		'type' => 'number',
		'description' => __('Left','free-business'),
		'section' => 'title_tagline',
	));

	$wp_customize->add_setting('luzuk_free_business_logo_right_padding',array(
		'default' => '',
		'sanitize_callback'	=> 'luzuk_free_business_sanitize_float'
 	));
 	$wp_customize->add_control('luzuk_free_business_logo_right_padding',array(
		'type' => 'number',
		'description' => __('Right','free-business'),
		'section' => 'title_tagline',
    ));

	$wp_customize->add_setting('luzuk_free_business_show_site_title',array(
		'default' => true,
		'sanitize_callback'	=> 'luzuk_free_business_sanitize_checkbox'
	));
	$wp_customize->add_control('luzuk_free_business_show_site_title',array(
		'type' => 'checkbox',
		'label' => __('Show / Hide Site Title','free-business'),
		'section' => 'title_tagline'
	));

	$wp_customize->add_setting( 'luzuk_free_business_site_title_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_site_title_color', array(
		'label' => 'Title Color',
		'section' => 'title_tagline',
	)));

	$wp_customize->add_setting('luzuk_free_business_show_tagline',array(
		'default' => true,
		'sanitize_callback'	=> 'luzuk_free_business_sanitize_checkbox'
	));
	$wp_customize->add_control('luzuk_free_business_show_tagline',array(
		'type' => 'checkbox',
		'label' => __('Show / Hide Site Tagline','free-business'),
		'section' => 'title_tagline'
	));

	$wp_customize->add_setting( 'luzuk_free_business_site_tagline_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_site_tagline_color', array(
		'label' => 'Tagline Color',
		'section' => 'title_tagline',
	)));

	$wp_customize->add_panel( 'luzuk_free_business_panel_id', array(
		'priority' => 10,
		'capability' => 'edit_theme_options',
		'theme_supports' => '',
		'title' => __( 'Theme Settings', 'free-business' ),
		'description' => __( 'Description of what this panel does.', 'free-business' ),
	) );

	$wp_customize->add_section( 'luzuk_free_business_theme_options_section', array(
    	'title'      => __( 'General Settings', 'free-business' ),
		'priority'   => 30,
		'panel' => 'luzuk_free_business_panel_id'
	) );

	$wp_customize->add_setting('luzuk_free_business_theme_options',array(
		'default' => 'One Column',
		'sanitize_callback' => 'luzuk_free_business_sanitize_choices'
	));
	$wp_customize->add_control('luzuk_free_business_theme_options',array(
		'type' => 'select',
		'label' => __('Blog Page Sidebar Layout','free-business'),
		'section' => 'luzuk_free_business_theme_options_section',
		'choices' => array(
		   'Left Sidebar' => __('Left Sidebar','free-business'),
		   'Right Sidebar' => __('Right Sidebar','free-business'),
		   'One Column' => __('One Column','free-business'),
		   'Grid Layout' => __('Grid Layout','free-business')
		),
	));

	$wp_customize->add_setting('luzuk_free_business_single_post_sidebar',array(
		'default' => 'Right Sidebar',
		'sanitize_callback' => 'luzuk_free_business_sanitize_choices'
	));
	$wp_customize->add_control('luzuk_free_business_single_post_sidebar',array(
        'type' => 'select',
        'label' => __('Single Post Sidebar Layout','free-business'),
        'section' => 'luzuk_free_business_theme_options_section',
        'choices' => array(
            'Left Sidebar' => __('Left Sidebar','free-business'),
            'Right Sidebar' => __('Right Sidebar','free-business'),
            'One Column' => __('One Column','free-business')
        ),
	));

	$wp_customize->add_setting('luzuk_free_business_page_sidebar',array(
		'default' => 'One Column',
		'sanitize_callback' => 'luzuk_free_business_sanitize_choices'
	));
	$wp_customize->add_control('luzuk_free_business_page_sidebar',array(
        'type' => 'select',
        'label' => __('Page Sidebar Layout','free-business'),
        'section' => 'luzuk_free_business_theme_options_section',
        'choices' => array(
            'Left Sidebar' => __('Left Sidebar','free-business'),
            'Right Sidebar' => __('Right Sidebar','free-business'),
            'One Column' => __('One Column','free-business')
        ),
	));

	$wp_customize->add_setting('luzuk_free_business_archive_page_sidebar',array(
		'default' => 'One Column',
		'sanitize_callback' => 'luzuk_free_business_sanitize_choices'
	));
	$wp_customize->add_control('luzuk_free_business_archive_page_sidebar',array(
        'type' => 'select',
        'label' => __('Archive & Search Page Sidebar Layout','free-business'),
        'section' => 'luzuk_free_business_theme_options_section',
        'choices' => array(
            'Left Sidebar' => __('Left Sidebar','free-business'),
            'Right Sidebar' => __('Right Sidebar','free-business'),
            'One Column' => __('One Column','free-business'),
            'Grid Layout' => __('Grid Layout','free-business')
        ),
	));

	$wp_customize->add_setting( 'luzuk_free_business_boxfull_width', array(
		'default'           => '',
		'sanitize_callback' => 'luzuk_free_business_sanitize_choices'
	));
	
	$wp_customize->add_control( 'luzuk_free_business_boxfull_width', array(
		'label'    => __( 'Section Width', 'free-business' ),
		'section'  => 'luzuk_free_business_theme_options_section',
		'type'     => 'select',
		'choices'  => array(
			'container'  => __('Box Width', 'free-business'),
			'container-fluid' => __('Full Width', 'free-business'),
			'none' => __('None', 'free-business')
		),
	));

	$wp_customize->add_setting( 'luzuk_free_business_dropdown_anim', array(
		'default'           => 'None',
		'sanitize_callback' => 'luzuk_free_business_sanitize_choices'
	));
	$wp_customize->add_control( 'luzuk_free_business_dropdown_anim', array(
		'label'    => __( 'Menu Dropdown Animations', 'free-business' ),
		'section'  => 'luzuk_free_business_theme_options_section',
		'type'     => 'select',
		'choices'  => array(
			'bounceInUp'  => __('bounceInUp', 'free-business'),
			'fadeInUp' => __('fadeInUp', 'free-business'),
			'zoomIn'    => __('zoomIn', 'free-business'),
			'None'    => __('None', 'free-business')
		),
	));
 
	//Header
	$wp_customize->add_section( 'luzuk_free_business_header' , array(
    	'title'    => __( 'Header Settings', 'free-business' ),
		'priority' => null,
		'panel' => 'luzuk_free_business_panel_id'
	) );
	
	$wp_customize->add_setting('luzuk_free_business_headerbtntext',array(
    	'default' => 'Lets Talk',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));

	$wp_customize->add_control('luzuk_free_business_headerbtntext',array(
	   	'type' => 'text',
	   	'label' => __('Button Text','free-business'),
	   	'section' => 'luzuk_free_business_header',
	));

	$wp_customize->add_setting('luzuk_free_business_headerbtnlink',array(
    	'default' => '#',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));

	$wp_customize->add_control('luzuk_free_business_headerbtnlink',array(
	   	'type' => 'url',
	   	'label' => __('Button Link','free-business'),
	   	'section' => 'luzuk_free_business_header',
	));

	$wp_customize->add_setting( 'luzuk_free_business_headerbottombg_col', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_headerbottombg_col', array(
		'label' => 'Head BG Color',
		'section' => 'luzuk_free_business_header',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_menu_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_menu_color', array(
		'label' => 'Menu Color',
		'section' => 'luzuk_free_business_header',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_menuhover_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_menuhover_color', array(
		'label' => 'Menu Hover Color',
		'section' => 'luzuk_free_business_header',
	)));


	$wp_customize->add_setting( 'luzuk_free_business_submenu_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_submenu_color', array(
		'label' => 'Submenu Text Color',
		'section' => 'luzuk_free_business_header',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_submenubg_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_submenubg_color', array(
		'label' => 'Submenu BG Color',
		'section' => 'luzuk_free_business_header',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_header_btntext_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_header_btntext_color', array(
		'label' => 'Button Text Color',
		'section' => 'luzuk_free_business_header',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_header_btnbg_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_header_btnbg_color', array(
		'label' => 'Button BG Color',
		'section' => 'luzuk_free_business_header',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_header_btntexthover_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_header_btntexthover_color', array(
		'label' => 'Button Text Hover Color',
		'section' => 'luzuk_free_business_header',
	)));


	//home page slider
	$wp_customize->add_section( 'luzuk_free_business_slider_section' , array(
    	'title'    => __( 'Slider Settings', 'free-business' ),
		'description'=> __('<b>Note :</b> Please Add Image in 1440*900 Ratio.','free-business'),
		'priority' => null,
		'panel' => 'luzuk_free_business_panel_id'
	) );

	$wp_customize->add_setting('luzuk_free_business_slider_hide_show',array(
    	'default' => false,
    	'sanitize_callback'	=> 'luzuk_free_business_sanitize_checkbox'
	));
	$wp_customize->add_control('luzuk_free_business_slider_hide_show',array(
	   	'type' => 'checkbox',
	   	'label' => __('Show / Hide Slider','free-business'),
	   	'section' => 'luzuk_free_business_slider_section',
	));


	for ( $count = 1; $count <= 4; $count++ ) {
		$wp_customize->add_setting( 'luzuk_free_business_slider' . $count, array(
			'default'           => '',
			'sanitize_callback' => 'luzuk_free_business_sanitize_dropdown_pages'
		));
		$wp_customize->add_control( 'luzuk_free_business_slider' . $count, array(
			'label' => __('Select A Page', 'free-business' ),
			'section' => 'luzuk_free_business_slider_section',
			'type' => 'dropdown-pages'
		));
	}

	$wp_customize->add_setting('luzuk_free_business_slidersubheading',array(
    	'default' => 'FOR BUSINESSES',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_free_business_slidersubheading',array(
	   	'type' => 'text',
	   	'label' => __('Sub Heading','free-business'),
	   	'section' => 'luzuk_free_business_slider_section',
	));

	$wp_customize->add_setting('luzuk_free_business_slider_businessnummber',array(
    	'default' => '200+',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_free_business_slider_businessnummber',array(
	   	'type' => 'text',
	   	'label' => __('Business Number','free-business'),
	   	'section' => 'luzuk_free_business_slider_section',
	));

	$wp_customize->add_setting('luzuk_free_business_slider_businesstext',array(
    	'default' => 'Join 200+ business who are accelerated their growth with our proven methodology and expert team.',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_free_business_slider_businesstext',array(
	   	'type' => 'text',
	   	'label' => __('Business Text','free-business'),
	   	'section' => 'luzuk_free_business_slider_section',
	));


	$wp_customize->add_setting('luzuk_free_business_sliderbtntext',array(
    	'default' => 'Start Your Transformation',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_free_business_sliderbtntext',array(
	   	'type' => 'text',
	   	'label' => __('Button 1 Text','free-business'),
	   	'section' => 'luzuk_free_business_slider_section',
	));

	$wp_customize->add_setting('luzuk_free_business_sliderbtnlink',array(
    	'default' => '#',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_free_business_sliderbtnlink',array(
	   	'type' => 'url',
	   	'label' => __('Button 1 Link','free-business'),
	   	'section' => 'luzuk_free_business_slider_section',
	));

	$wp_customize->add_setting('luzuk_free_business_sliderbtn2text',array(
    	'default' => 'See Our Work',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_free_business_sliderbtn2text',array(
	   	'type' => 'text',
	   	'label' => __('Button 2 Text','free-business'),
	   	'section' => 'luzuk_free_business_slider_section',
	));

	$wp_customize->add_setting('luzuk_free_business_sliderbtn2link',array(
    	'default' => '#',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_free_business_sliderbtn2link',array(
	   	'type' => 'url',
	   	'label' => __('Button 2 Link','free-business'),
	   	'section' => 'luzuk_free_business_slider_section',
	));

	$wp_customize->add_setting('luzuk_free_business_slider_excerpt_length',array(
		'default' => '15',
		'sanitize_callback'	=> 'luzuk_free_business_sanitize_float'
	));
	$wp_customize->add_control('luzuk_free_business_slider_excerpt_length',array(
		'type' => 'number',
		'label' => __('Description Excerpt Length','free-business'),
		'section' => 'luzuk_free_business_slider_section',
	));

	$wp_customize->add_setting('luzuk_free_business_slider_opacity',array(
		'default' => '',
		'sanitize_callback'	=> 'luzuk_free_business_sanitize_float'
	));
	$wp_customize->add_control('luzuk_free_business_slider_opacity',array(
		'type' => 'range',
		'label' => __('Image Opacity','free-business'),
		'section' => 'luzuk_free_business_slider_section',
		'input_attrs' => array(
			'min' => 0,
			'max' => 1,
			'step' => 0.1
		)
	));

	$wp_customize->add_setting( 'luzuk_free_business_slider_bg_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_slider_bg_color', array(
		'label' => 'BG Color',
		'section' => 'luzuk_free_business_slider_section',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_slider_circle1_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_slider_circle1_color', array(
		'label' => 'Circle 1 Color',
		'section' => 'luzuk_free_business_slider_section',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_slider_circle2_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_slider_circle2_color', array(
		'label' => 'Circle 2 Color',
		'section' => 'luzuk_free_business_slider_section',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_slider_circle3_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_slider_circle3_color', array(
		'label' => 'Circle 3 Color',
		'section' => 'luzuk_free_business_slider_section',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_slider_subheading_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_slider_subheading_color', array(
		'label' => 'Sub Heading Color',
		'section' => 'luzuk_free_business_slider_section',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_slider_title_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_slider_title_color', array(
		'label' => 'Title Color',
		'section' => 'luzuk_free_business_slider_section',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_slider_description_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_slider_description_color', array(
		'label' => 'Description Color',
		'section' => 'luzuk_free_business_slider_section',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_slider_descriptionbdr_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_slider_descriptionbdr_color', array(
		'label' => 'Description Border Color',
		'section' => 'luzuk_free_business_slider_section',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_slider_businessnum_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_slider_businessnum_color', array(
		'label' => 'Business Number Color',
		'section' => 'luzuk_free_business_slider_section',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_slider_businesstext_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_slider_businesstext_color', array(
		'label' => 'Business Text Color',
		'section' => 'luzuk_free_business_slider_section',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_slider_btn1text_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_slider_btn1text_color', array(
		'label' => 'Button 1 Text Color',
		'section' => 'luzuk_free_business_slider_section',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_slider_btn1bg_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_slider_btn1bg_color', array(
		'label' => 'Button 1 BG Color',
		'section' => 'luzuk_free_business_slider_section',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_slider_btn1texthrv_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_slider_btn1texthrv_color', array(
		'label' => 'Button 1 Text Hover Color',
		'section' => 'luzuk_free_business_slider_section',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_slider_btn2text_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_slider_btn2text_color', array(
		'label' => 'Button 2 Text Color',
		'section' => 'luzuk_free_business_slider_section',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_slider_btn2texthover_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_slider_btn2texthover_color', array(
		'label' => 'Button 2 Text Hover Color',
		'section' => 'luzuk_free_business_slider_section',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_slider_arrowicon_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_slider_arrowicon_color', array(
		'label' => 'Arrow Icon Color',
		'section' => 'luzuk_free_business_slider_section',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_slider_arrowbg_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_slider_arrowbg_color', array(
		'label' => 'Arrow BG Color',
		'section' => 'luzuk_free_business_slider_section',
	)));


	// aboutus Section
	$wp_customize->add_section('luzuk_free_business_aboutus_section',array(
		'title'	=> __('About Us Settings','free-business'),
		'description'=> __('<b>Note :</b> This section will appear below the Slider.','free-business'),
		'panel' => 'luzuk_free_business_panel_id',
	));

	$wp_customize->add_setting('luzuk_free_business_aboutusheading',array(
    	'default' => 'About',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_free_business_aboutusheading',array(
	   	'type' => 'text',
	   	'label' => __('Sub Heading','free-business'),
	   	'section' => 'luzuk_free_business_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_free_business_aboutustitle',array(
    	'default' => 'Our Journey & Core Values',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_free_business_aboutustitle',array(
	   	'type' => 'text',
	   	'label' => __('Heading','free-business'),
	   	'section' => 'luzuk_free_business_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_free_business_aboutusdescription',array(
    	'default' => 'We started with a simple mission -- to create meaningfull solutions that empower people and drive change. What began as a small team with big dreams has grown into a company built on trust, passion and innovation.',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_free_business_aboutusdescription',array(
	   	'type' => 'text',
	   	'label' => __('Description','free-business'),
	   	'section' => 'luzuk_free_business_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_free_business_aboutus_box1_icon',array(
    	'default' => 'fas fa-handshake',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_free_business_aboutus_box1_icon',array(
	   	'type' => 'text',
	   	'label' => __('Box 1 Icon','free-business'),
	   	'section' => 'luzuk_free_business_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_free_business_aboutus_box1_heading',array(
    	'default' => 'Innovation',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_free_business_aboutus_box1_heading',array(
	   	'type' => 'text',
	   	'label' => __('Box 1 Heading','free-business'),
	   	'section' => 'luzuk_free_business_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_free_business_aboutus_box1_description',array(
    	'default' => 'We Constantly challenge the norm to build smarter and better solutions.',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_free_business_aboutus_box1_description',array(
	   	'type' => 'text',
	   	'label' => __('Box 1 Description','free-business'),
	   	'section' => 'luzuk_free_business_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_free_business_aboutus_box2_icon',array(
    	'default' => 'fas fa-handshake',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_free_business_aboutus_box2_icon',array(
	   	'type' => 'text',
	   	'label' => __('Box 2 Icon','free-business'),
	   	'section' => 'luzuk_free_business_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_free_business_aboutus_box2_heading',array(
    	'default' => 'Integrity',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_free_business_aboutus_box2_heading',array(
	   	'type' => 'text',
	   	'label' => __('Box 2 Heading','free-business'),
	   	'section' => 'luzuk_free_business_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_free_business_aboutus_box2_description',array(
    	'default' => 'Honestly and transparency are at the heart of everything we do.',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_free_business_aboutus_box2_description',array(
	   	'type' => 'text',
	   	'label' => __('Box 2 Description','free-business'),
	   	'section' => 'luzuk_free_business_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_free_business_aboutus_box3_icon',array(
    	'default' => 'fas fa-handshake',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_free_business_aboutus_box3_icon',array(
	   	'type' => 'text',
	   	'label' => __('Box 3 Icon','free-business'),
	   	'section' => 'luzuk_free_business_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_free_business_aboutus_box3_heading',array(
    	'default' => 'Collaboration',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_free_business_aboutus_box3_heading',array(
	   	'type' => 'text',
	   	'label' => __('Box 3 Heading','free-business'),
	   	'section' => 'luzuk_free_business_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_free_business_aboutus_box3_description',array(
    	'default' => 'We believe in growing together through teamwork and shared purpose.',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_free_business_aboutus_box3_description',array(
	   	'type' => 'text',
	   	'label' => __('Box 3 Description','free-business'),
	   	'section' => 'luzuk_free_business_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_free_business_aboutusbtnlink',array(
    	'default' => '#',
    	'sanitize_callback'	=> 'esc_url_raw'
	));
	$wp_customize->add_control('luzuk_free_business_aboutusbtnlink',array(
	   	'type' => 'text',
	   	'label' => __('Button Link','free-business'),
	   	'section' => 'luzuk_free_business_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_free_business_aboutusbtntext',array(
    	'default' => 'More About Us',
    	'sanitize_callback'	=> 'esc_url_raw'
	));
	$wp_customize->add_control('luzuk_free_business_aboutusbtntext',array(
	   	'type' => 'text',
	   	'label' => __('Button Text','free-business'),
	   	'section' => 'luzuk_free_business_aboutus_section',
	));

	$wp_customize->add_setting( 'luzuk_free_business_aboutus_subheading_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_aboutus_subheading_color', array(
		'label' => 'Sub Heading Color',
		'section' => 'luzuk_free_business_aboutus_section',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_aboutus_heading_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_aboutus_heading_color', array(
		'label' => 'Heading Color',
		'section' => 'luzuk_free_business_aboutus_section',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_aboutus_description_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_aboutus_description_color', array(
		'label' => 'Description Color',
		'section' => 'luzuk_free_business_aboutus_section',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_aboutus_boxicon_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_aboutus_boxicon_color', array(
		'label' => 'Box Icon Color',
		'section' => 'luzuk_free_business_aboutus_section',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_aboutus_boxiconbg_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_aboutus_boxiconbg_color', array(
		'label' => 'Box Icon BG Color',
		'section' => 'luzuk_free_business_aboutus_section',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_aboutus_boxheading_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_aboutus_boxheading_color', array(
		'label' => 'Box Heading Color',
		'section' => 'luzuk_free_business_aboutus_section',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_aboutus_boxdescription_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_aboutus_boxdescription_color', array(
		'label' => 'Box Description Color',
		'section' => 'luzuk_free_business_aboutus_section',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_aboutus_btntext_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_aboutus_btntext_color', array(
		'label' => 'Button Text Color',
		'section' => 'luzuk_free_business_aboutus_section',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_aboutus_btnbg_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_aboutus_btnbg_color', array(
		'label' => 'Button BG Color',
		'section' => 'luzuk_free_business_aboutus_section',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_aboutus_btnhrv_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_aboutus_btnhrv_color', array(
		'label' => 'Button Hover Color',
		'section' => 'luzuk_free_business_aboutus_section',
	)));

	// services Section
	$wp_customize->add_section('luzuk_free_business_services_section',array(
		'title'	=> __('Services Settings','free-business'),
		'description'=> __('<b>Note :</b> This section will appear below the About Us.','free-business'),
		'panel' => 'luzuk_free_business_panel_id',
	));

	$wp_customize->add_setting('luzuk_free_business_servicesheading',array(
    	'default' => 'SERVICES',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_free_business_servicesheading',array(
	   	'type' => 'text',
	   	'label' => __('Heading','free-business'),
	   	'section' => 'luzuk_free_business_services_section',
	));

	$wp_customize->add_setting('luzuk_free_business_servicestitle',array(
    	'default' => 'What We Offer',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_free_business_servicestitle',array(
	   	'type' => 'text',
	   	'label' => __('Title','free-business'),
	   	'section' => 'luzuk_free_business_services_section',
	));

	$pages = get_pages(); // Retrieve pages
	$page_options = array(); // Initialize page options array
	foreach ($pages as $page) {
		$page_options[$page->ID] = $page->post_title; // Store page ID and title in options array
	}

	$wp_customize->add_setting('luzuk_free_business_page_setting_1', array(
		'default'            => '',
		'sanitize_callback'  => 'absint', // Use absint to ensure the value is an integer
	));

	$wp_customize->add_control('luzuk_free_business_page_setting_1', array(
		'label'    => __('Select Page 1', 'free-business'),
		'section'  => 'luzuk_free_business_services_section', 
		'type'     => 'dropdown-pages',
	));

	$wp_customize->add_setting('luzuk_free_business_page_setting_2', array(
		'default'            => '',
		'sanitize_callback'  => 'absint', // Use absint to ensure the value is an integer
	));

	$wp_customize->add_control('luzuk_free_business_page_setting_2', array(
		'label'    => __('Select Page 2', 'free-business'),
		'section'  => 'luzuk_free_business_services_section', 
		'type'     => 'dropdown-pages',
	));

	$wp_customize->add_setting('luzuk_free_business_page_setting_3', array(
		'default'            => '',
		'sanitize_callback'  => 'absint', // Use absint to ensure the value is an integer
	));

	$wp_customize->add_control('luzuk_free_business_page_setting_3', array(
		'label'    => __('Select Page 3', 'free-business'),
		'section'  => 'luzuk_free_business_services_section', 
		'type'     => 'dropdown-pages',
	));

	$wp_customize->add_setting('luzuk_free_business_page_setting_4', array(
		'default'            => '',
		'sanitize_callback'  => 'absint', // Use absint to ensure the value is an integer
	));

	$wp_customize->add_control('luzuk_free_business_page_setting_4', array(
		'label'    => __('Select Page 4', 'free-business'),
		'section'  => 'luzuk_free_business_services_section', 
		'type'     => 'dropdown-pages',
	));

	$wp_customize->add_setting( 'luzuk_free_business_services_subheading_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_services_subheading_color', array(
		'label' => 'Sub Heading Color',
		'section' => 'luzuk_free_business_services_section',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_services_heading_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_services_heading_color', array(
		'label' => 'Heading Color',
		'section' => 'luzuk_free_business_services_section',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_services_title_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_services_title_color', array(
		'label' => 'Title Color',
		'section' => 'luzuk_free_business_services_section',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_services_description_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_services_description_color', array(
		'label' => 'Description Color',
		'section' => 'luzuk_free_business_services_section',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_services_learnmore_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_services_learnmore_color', array(
		'label' => 'Learn More Color',
		'section' => 'luzuk_free_business_services_section',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_services_learnmorehrv_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_services_learnmorehrv_color', array(
		'label' => 'Learn More Hover Color',
		'section' => 'luzuk_free_business_services_section',
	)));


	// Process Section
	$wp_customize->add_section('luzuk_free_business_process_section',array(
		'title'	=> __('Process Settings','free-business'),
		'description'=> __('<b>Note :</b> This section will appear below the About Us.','free-business'),
		'panel' => 'luzuk_free_business_panel_id',
	));

	$wp_customize->add_setting('luzuk_free_business_processheading',array(
    	'default' => 'PROCESS',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_free_business_processheading',array(
	   	'type' => 'text',
	   	'label' => __('Heading','free-business'),
	   	'section' => 'luzuk_free_business_process_section',
	));

	$wp_customize->add_setting('luzuk_free_business_processtitle',array(
    	'default' => 'What We Offer',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_free_business_processtitle',array(
	   	'type' => 'text',
	   	'label' => __('Title','free-business'),
	   	'section' => 'luzuk_free_business_process_section',
	));

	$wp_customize->add_setting('luzuk_free_business_processdescription',array(
    	'default' => 'We started with a simple mission -- to create meaningfull solutions that empower people and drive change. What began as a small team with big dreams has grown into a company built on trust, passion and innovation.',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_free_business_processdescription',array(
	   	'type' => 'text',
	   	'label' => __('Description','free-business'),
	   	'section' => 'luzuk_free_business_process_section',
	));

	$pages = get_pages(); // Retrieve pages
	$page_options = array(); // Initialize page options array
	foreach ($pages as $page) {
		$page_options[$page->ID] = $page->post_title; // Store page ID and title in options array
	}

	$wp_customize->add_setting('luzuk_free_business_process_page_setting_1', array(
		'default'            => '',
		'sanitize_callback'  => 'absint', // Use absint to ensure the value is an integer
	));

	$wp_customize->add_control('luzuk_free_business_process_page_setting_1', array(
		'label'    => __('Select Page 1', 'free-business'),
		'section'  => 'luzuk_free_business_process_section', 
		'type'     => 'dropdown-pages',
	));

	$wp_customize->add_setting('luzuk_free_business_process_page_setting_2', array(
		'default'            => '',
		'sanitize_callback'  => 'absint', // Use absint to ensure the value is an integer
	));

	$wp_customize->add_control('luzuk_free_business_process_page_setting_2', array(
		'label'    => __('Select Page 2', 'free-business'),
		'section'  => 'luzuk_free_business_process_section', 
		'type'     => 'dropdown-pages',
	));

	$wp_customize->add_setting('luzuk_free_business_process_page_setting_3', array(
		'default'            => '',
		'sanitize_callback'  => 'absint', // Use absint to ensure the value is an integer
	));

	$wp_customize->add_control('luzuk_free_business_process_page_setting_3', array(
		'label'    => __('Select Page 3', 'free-business'),
		'section'  => 'luzuk_free_business_process_section', 
		'type'     => 'dropdown-pages',
	));

	$wp_customize->add_setting('luzuk_free_business_process_page_setting_4', array(
		'default'            => '',
		'sanitize_callback'  => 'absint', // Use absint to ensure the value is an integer
	));

	$wp_customize->add_control('luzuk_free_business_process_page_setting_4', array(
		'label'    => __('Select Page 4', 'free-business'),
		'section'  => 'luzuk_free_business_process_section', 
		'type'     => 'dropdown-pages',
	));

	$wp_customize->add_setting( 'luzuk_free_business_process_subheading_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_process_subheading_color', array(
		'label' => 'Sub Heading Color',
		'section' => 'luzuk_free_business_process_section',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_process_heading_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_process_heading_color', array(
		'label' => 'Heading Color',
		'section' => 'luzuk_free_business_process_section',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_process_title_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_process_title_color', array(
		'label' => 'Title Color',
		'section' => 'luzuk_free_business_process_section',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_process_description_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_process_description_color', array(
		'label' => 'Description Color',
		'section' => 'luzuk_free_business_process_section',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_process_learnmore_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_process_learnmore_color', array(
		'label' => 'Learn More Color',
		'section' => 'luzuk_free_business_process_section',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_process_learnmorehrv_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_process_learnmorehrv_color', array(
		'label' => 'Learn More Hover Color',
		'section' => 'luzuk_free_business_process_section',
	)));


	//Footer
    $wp_customize->add_section( 'luzuk_free_business_footer', array(
    	'title'  => __( 'Footer Settings', 'free-business' ),
		'priority' => null,
		'panel' => 'luzuk_free_business_panel_id'
	) );

	$wp_customize->add_setting('luzuk_free_business_show_back_totop',array(
       'default' => true,
       'sanitize_callback'	=> 'luzuk_free_business_sanitize_checkbox'
    ));
    $wp_customize->add_control('luzuk_free_business_show_back_totop',array(
       'type' => 'checkbox',
       'label' => __('Show / Hide Back to Top','free-business'),
       'section' => 'luzuk_free_business_footer'
    ));

    $wp_customize->add_setting('luzuk_free_business_footer_copy',array(
		'default' => 'Free Business WordPress Theme By Luzuk',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('luzuk_free_business_footer_copy',array(
		'label'	=> __('Copyright Text','free-business'),
		'section' => 'luzuk_free_business_footer',
		'setting' => 'luzuk_free_business_footer_copy',
		'type' => 'text'
	));

	$wp_customize->add_setting( 'luzuk_free_business_footertext_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_footertext_color', array(
		'label' => 'Text Color',
		'section' => 'luzuk_free_business_footer',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_footeractivemenu_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_footeractivemenu_color', array(
		'label' => 'Active Menu Color',
		'section' => 'luzuk_free_business_footer',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_footercopyright_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_footercopyright_color', array(
		'label' => 'Copyright Color',
		'section' => 'luzuk_free_business_footer',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_footercopyrightbrd_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_footercopyrightbrd_color', array(
		'label' => 'Border Color',
		'section' => 'luzuk_free_business_footer',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_footerscrolltotoptext_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_footerscrolltotoptext_color', array(
		'label' => 'Scroll To Top Text Color',
		'section' => 'luzuk_free_business_footer',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_footerscrolltotopbg_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_footerscrolltotopbg_color', array(
		'label' => 'Scroll To Top BG Color',
		'section' => 'luzuk_free_business_footer',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_footerscrolltotoptexthover_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_footerscrolltotoptexthover_color', array(
		'label' => 'Scroll To Top Text Hover Color',
		'section' => 'luzuk_free_business_footer',
	)));

	$wp_customize->add_setting( 'luzuk_free_business_footerscrolltotophover_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_free_business_footerscrolltotophover_color', array(
		'label' => 'Scroll To Top Hover Color',
		'section' => 'luzuk_free_business_footer',
	)));




	

	$wp_customize->get_setting( 'blogname' )->transport          = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport   = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport  = 'postMessage';

	$wp_customize->selective_refresh->add_partial( 'blogname', array(
		'selector' => '.site-title a',
		'render_callback' => 'luzuk_free_business_customize_partial_blogname',
	) );
	$wp_customize->selective_refresh->add_partial( 'blogdescription', array(
		'selector' => '.site-description',
		'render_callback' => 'luzuk_free_business_customize_partial_blogdescription',
	) );
}
add_action( 'customize_register', 'luzuk_free_business_customize_register' );

function luzuk_free_business_customize_partial_blogname() {
	bloginfo( 'name' );
}

function luzuk_free_business_customize_partial_blogdescription() {
	bloginfo( 'description' );
}

if (class_exists('WP_Customize_Control')) {

   	class Luzuk_Free_Business_Fontawesome_Icon_Chooser extends WP_Customize_Control {

      	public $type = 'icon';

      	public function render_content() { ?>
	     	<label>
	            <span class="customize-control-title">
	               <?php echo esc_html($this->label); ?>
	            </span>

	            <?php if ($this->description) { ?>
	                <span class="description customize-control-description">
	                   <?php echo wp_kses_post($this->description); ?>
	                </span>
	            <?php } ?>

	            <div class="free-business-selected-icon">
	                <i class="fa <?php echo esc_attr($this->value()); ?>"></i>
	                <span><i class="fa fa-angle-down"></i></span>
	            </div>

	            <ul class="free-business-icon-list clearfix">
	                <?php
	                $luzuk_free_business_font_awesome_icon_array = luzuk_free_business_font_awesome_icon_array();
	                foreach ($luzuk_free_business_font_awesome_icon_array as $luzuk_free_business_font_awesome_icon) {
	                   $icon_class = $this->value() == $luzuk_free_business_font_awesome_icon ? 'icon-active' : '';
	                   echo '<li class=' . esc_attr($icon_class) . '><i class="' . esc_attr($luzuk_free_business_font_awesome_icon) . '"></i></li>';
	                }
	                ?>
	            </ul>
	            <input type="hidden" value="<?php $this->value(); ?>" <?php $this->link(); ?> />
	        </label>
	        <?php
      	}
  	}
}
function luzuk_free_business_customizer_script() {
   wp_enqueue_style( 'font-awesome-1', esc_url(get_template_directory_uri()).'/assets/css/fontawesome-all.css');
}
add_action( 'customize_controls_enqueue_scripts', 'luzuk_free_business_customizer_script' );